=== debian/changelog ===
pk-update-icon (1.0.0-2ubuntu1) vivid; urgency=medium

  * debian/control: Build-depend on docbook-xsl-ns instead of docbook-xsl to
    fix FTBFS while offline.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 24 Feb 2015 13:08:50 +0000

pk-update-icon (1.0.0-2) unstable; urgency=medium

  * Add config snippets for Apt to enable auto-cache-updates

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2014 22:28:34 +0100

pk-update-icon (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #768471, #710355)

 -- Matthias Klumpp <mak@debian.org>  Fri, 07 Nov 2014 16:08:18 +0100
