## pk-update-icon 2.0.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 PACKAGE =	pk-update-icon
 APP_NAME =	org.opensuse.pk-update-icon
-VERSION =	1
+VERSION =	2
 DISTNAME :=	$(PACKAGE)-$(VERSION)
 
 # gcc, clang, icc
@@ -40,6 +40,7 @@
 INTLTOOL_MERGE :=	intltool-merge
 XSLTPROC :=	xsltproc
 DOCBOOK5_MANPAGES_STYLESHEET =	http://docbook.sourceforge.net/release/xsl-ns/current/manpages/docbook.xsl
+UPDATE_VIEWER_COMMAND =	/usr/bin/gpk-update-viewer
 
 define generate-manpage-rule =
 %.$(1): %.$(1).xml
@@ -75,7 +76,8 @@
 		-DPACKAGE="\"$(PACKAGE)\"" \
 		-DAPP_NAME=\"$(APP_NAME)\" \
 		-DVERSION=\"$(VERSION)\" \
-		-DLOCALEDIR="\"$(localedir)\""
+		-DLOCALEDIR="\"$(localedir)\"" \
+		-DUPDATE_VIEWER_COMMAND="\"$(UPDATE_VIEWER_COMMAND)\""
 LDLIBS :=	$(shell pkg-config --libs gtk+-2.0 unique-1.0 libnotify packagekit-glib2)
 DOCBOOK5_MANPAGES_FLAGS =	--stringparam man.authors.section.enabled 0 \
 				--stringparam man.copyright.section.enabled 0
