=== debian/changelog ===
pk-update-icon (2.0.0-1) unstable; urgency=medium

  * New upstream release: 2.0.0

 -- Matthias Klumpp <mak@debian.org>  Wed, 12 Aug 2015 14:36:26 +0200

pk-update-icon (1.0.0-3) unstable; urgency=medium

  * Don't use deprecated Apt options (Closes: #778869)
  * Build-depend on docbook-xsl-ns instead of docbook-xsl
    - Closes: #779257
  * a-c-auto-update: Break/Replace update-notifier-common
    - Closes: #779661

 -- Matthias Klumpp <mak@debian.org>  Sat, 25 Apr 2015 15:08:06 +0200
