=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pk-update-icon
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/pk-update-icon.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/pk-update-icon.git
 Build-Depends: debhelper (>= 9.0.0),
@@ -36,6 +35,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Replaces: update-notifier-common (<= 0.99.3debian11~)
+Breaks: update-notifier-common (<= 0.99.3debian11~)
 Description: Apt configuration for automatic cache updates
  This package contains configuration snippets for the Apt
  package manager to have it automatically update its package cache.
