=== debian/watch ===
version=3
https://code.guido-berhoerster.org/projects/pk-update-icon/downloads/pk-update-icon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
